#!/bin/sh
# ******************************************************************************
# *
# * Licensed Materials - Property of IBM
# *
# * Source File Name = changeCipher.sh
# *
# * (C) COPYRIGHT IBM Corp. 2007 All Rights Reserved
# *
# * US Government Users Restricted Rights - Use, duplication or
# * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# *
# *****************************************************************************/

ITIM_HOME="%ENROLE_HOME%"
JAVA_HOME="%JAVA_HOME%"

CLASSPATH="$JAVA_HOME/jre/lib/rt.jar"
CLASSPATH="$CLASSPATH:$ITIM_HOME/data"
CLASSPATH="$CLASSPATH:$ITIM_HOME/lib/jlog.jar"
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/itim_common.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/itim_api.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/itim_server_api.jar
CLASSPATH="$CLASSPATH:$ITIM_HOME/lib/itim_server.jar"
CLASSPATH="$CLASSPATH:$ITIM_HOME/lib/aspectjrt.jar"

CLASSPATH="$CLASSPATH:%WAS_INSTALL_ROOT%/lib/bootstrap.jar"
CLASSPATH="$CLASSPATH:%WAS_INSTALL_ROOT%/plugins/com.ibm.ws.security.crypto_6.1.0.jar"
CLASSPATH="$CLASSPATH:%WAS_INSTALL_ROOT%/plugins/com.ibm.ws.runtime_6.1.0.jar"
CLASSPATH="$CLASSPATH:%WAS_INSTALL_ROOT%/plugins/com.ibm.ws.emf_2.1.0.jar"
CLASSPATH="$CLASSPATH:%WAS_DM_INSTALL_ROOT%/lib/bootstrap.jar"
CLASSPATH="$CLASSPATH:%WAS_DM_INSTALL_ROOT%/plugins/com.ibm.ws.security.crypto_6.1.0.jar"
CLASSPATH="$CLASSPATH:%WAS_DM_INSTALL_ROOT%/plugins/com.ibm.ws.runtime_6.1.0.jar"
CLASSPATH="$CLASSPATH:%WAS_DM_INSTALL_ROOT%/plugins/com.ibm.ws.emf_2.1.0.jar"

EXEC=com.ibm.itim.migration.cipher.CipherMigrator 
"$JAVA_HOME/bin/java" \
	"-DITIM_HOME=\"%ENROLE_HOME%\"" \
	"-DTEMP_HOME=\"%ENROLE_HOME%\"" \
	"-DWAS_PROFILE_HOME=\"%WAS_PROFILE_HOME%\"" \
	"-DWAS_DM_PROFILE_HOME=\"%WAS_DM_PROFILE_HOME%\"" \
	"-DWAS_CELL_NAME=%DEFINED_CELL_NAME%" \
	"-DIS_SINGLE_SERVER=%IS_SINGLE_SERVER%" \
	"-DIS_CLUSTER_MEMBER=%IS_CLUSTER_MEMBER%" \
	"-DIS_DM_NODE=%IS_DM_NODE%" \
	"-DLOG_LEVEL=1" \
	-cp "$CLASSPATH" \
	$EXEC $*
